LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 01-09-2011, 03:00 PM   #1
thorgamma
LQ Newbie
 
Registered: Dec 2010
Location: Aiken, SC, USA
Distribution: Debian 5.0.6
Posts: 16

Rep: Reputation: 0
Flash and quicktime movies don't work; mgp and wmv movies work fine - what to do?


As far as I can tell, I have all the applicable applications and plugins (for this, Debian 5.0.6 installation).

I type in
Code:
about:plugins
in either iceweasel or epiphany browser and get a list that includes:
Code:
Installed plugins
Find more information about browser plugins at mozilla.org.
Help for installing plugins is available from plugindoc.mozdev.org.
Shockwave Flash

    File name: libswfdecmozilla.so
    Shockwave Flash 9.0 r100

MIME Type 	Description 	Suffixes 	Enabled
application/x-shockwave-flash 	Adobe Flash movie 	swf 	Yes
application/futuresplash 	FutureSplash movie 	spl 	Yes
Totem Web Browser Plugin 2.22.2

    File name: libtotem-basic-plugin.so
    The Totem 2.22.2 plugin handles video and audio streams.

MIME Type 	Description 	Suffixes 	Enabled
application/x-ogg 	- 	ogg 	Yes
application/ogg 	Ogg multimedia file 	ogg 	Yes
audio/ogg 	Ogg Audio 	oga 	Yes
audio/x-ogg 	Ogg Audio 	ogg 	Yes
video/ogg 	Ogg Video 	ogv 	Yes
video/x-ogg 	Ogg Video 	ogg 	Yes
application/annodex 	- 	anx 	Yes
audio/annodex 	- 	axa 	Yes
video/annodex 	- 	axv 	Yes
video/mpeg 	MPEG video 	mpg, mpeg, mpe 	Yes
audio/wav 	WAV audio 	wav 	Yes
audio/x-wav 	WAV audio 	wav 	Yes
audio/mpeg 	MP3 audio 	mp3 	Yes
application/x-nsv-vp3-mp3 	NullSoft video 	nsv 	Yes
video/flv 	Flash video 	flv 	Yes
Helix DNA Plugin: RealPlayer G2 Plug-In Compatible (compatible; Totem)

    File name: libtotem-complex-plugin.so
    The Totem 2.22.2 plugin handles video and audio streams.

MIME Type 	Description 	Suffixes 	Enabled
audio/x-pn-realaudio-plugin 	RealAudio document 	rpm 	Yes
Windows Media Player Plug-in 10 (compatible; Totem)

    File name: libtotem-gmp-plugin.so
    The Totem 2.22.2 plugin handles video and audio streams.

MIME Type 	Description 	Suffixes 	Enabled
application/x-mplayer2 	AVI video 	avi, wma, wmv 	Yes
video/x-ms-asf-plugin 	ASF video 	asf, wmv 	Yes
video/x-msvideo 	AVI video 	asf, wmv 	Yes
video/x-ms-asf 	ASF video 	asf 	Yes
video/x-ms-wmv 	Windows Media video 	wmv 	Yes
video/x-wmv 	Windows Media video 	wmv 	Yes
video/x-ms-wvx 	Microsoft ASX playlist 	wmv 	Yes
video/x-ms-wm 	ASF video 	wmv 	Yes
application/x-ms-wms 	Windows Media video 	wms 	Yes
application/asx 	Microsoft ASX playlist 	asx 	Yes
audio/x-ms-wma 	Windows Media audio 	wma 	Yes
DivX® Web Player

    File name: libtotem-mully-plugin.so
    DivX Web Player version 1.4.0.233

MIME Type 	Description 	Suffixes 	Enabled
video/divx 	AVI video 	divx 	Yes
QuickTime Plug-in 7.2.0

    File name: libtotem-narrowspace-plugin.so
    The Totem 2.22.2 plugin handles video and audio streams.

MIME Type 	Description 	Suffixes 	Enabled
video/quicktime 	QuickTime video 	mov 	Yes
video/mp4 	MPEG-4 video 	mp4 	Yes
image/x-macpaint 	MacPaint Bitmap image 	pntg 	Yes
image/x-quicktime 	QuickTime image 	pict, pict1, pict2 	Yes
video/x-m4v 	MPEG-4 video 	m4v 	Yes
iTunes Application Detector

    File name: librhythmbox-itms-detection-plugin.so
    This plug-in detects the presence of iTunes when opening iTunes Store URLs in a web page with Firefox.

MIME Type 	Description 	Suffixes 	Enabled
application/itunes-plugin 			Yes
Epiphany Desktop File Plugin

    File name: libdesktopfileplugin.so
    This plugin handles “.desktop” and “.url” files containing web links.

MIME Type 	Description 	Suffixes 	Enabled
application/x-desktop 	desktop link file 	desktop 	Yes
text/x-uri 	URL file 	url 	Yes
application/x-mswinurl 	URL file 		Yes
There doesn't seem to be anything else to install - I've checked the KDE Add/Remove Applications and the Synaptic Package Manager.

Any advice would be greatly appreciated.

Thanks,

Thorgamma
 
Old 01-10-2011, 04:05 AM   #2
xandercage17
Member
 
Registered: Sep 2009
Posts: 125

Rep: Reputation: Disabled
Delete My account

Last edited by xandercage17; 04-22-2012 at 02:20 PM. Reason: Delete My account
 
Old 01-10-2011, 10:17 AM   #3
thorgamma
LQ Newbie
 
Registered: Dec 2010
Location: Aiken, SC, USA
Distribution: Debian 5.0.6
Posts: 16

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by xandercage17 View Post
Install W32 Codecs,Libdvdcss2 for Debian should help.
http://www.debianadmin.com/install-m...-50-lenny.html
xandercage17, Thank you very much for the suggestion. I followed the instructions at the web site, but at the end, I got this message:
Code:
apt-get install w32codecs libdvdcss2
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package w32codecs is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package w32codecs has no installation candidate
I also tried uninstalling and reinstalling mplayer, but to no avail. Any other suggestions?
 
Old 01-11-2011, 04:30 AM   #4
xandercage17
Member
 
Registered: Sep 2009
Posts: 125

Rep: Reputation: Disabled
Delete My account

Last edited by xandercage17; 04-22-2012 at 02:21 PM. Reason: Delete My account
 
Old 01-11-2011, 08:46 AM   #5
no2498
Member
 
Registered: Jan 2010
Posts: 120

Rep: Reputation: 23
and update your flash player 9 is not new
 
Old 01-11-2011, 04:28 PM   #6
thorgamma
LQ Newbie
 
Registered: Dec 2010
Location: Aiken, SC, USA
Distribution: Debian 5.0.6
Posts: 16

Original Poster
Rep: Reputation: 0
Thanks everybody for your help. I floundered around on this quite a bit, using your advice and others. I managed to get the file for adobe flashplayer 10 in the correct directory, but it doesn't show up as working. (I downloaded the .tar.gz file from the Adobe web site, which popped up when I couldn't play a movie. Extracted the file and moved it to the /usr/lib/iceweasel/ and copied over to /usr/lib/epiphany. But to no apparent avail - the same version 9 shows up when I check
Code:
about:plugins
on either browser.) Can anyone please clue me in how to install this properly if what I did was not correct?

One thing I found that worked (apparently for the old version) was to go to the preferences in iceweasel, and change the preferences for plugins to make Shockwave Flash the default.
 
Old 01-12-2011, 11:25 AM   #7
no2498
Member
 
Registered: Jan 2010
Posts: 120

Rep: Reputation: 23
look in your package manager uninstall flash NOT a conpleat removal
what the system put in
reinstall flash from adobe
now reinstall the extras this should give you 10
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Playing quicktime movies ukwho Fedora 1 08-16-2009 02:25 AM
Playing Apple QuickTime movies Tikhon Linux - Newbie 6 12-28-2007 11:52 PM
Playing Shockwave and Quicktime Movies on Firefox rschmiegelt Linux - Desktop 2 11-25-2006 08:37 AM
Totem or totem gstreamer wont decode quicktime or wmv movies! reformedgeek Ubuntu 5 05-24-2005 12:13 PM
quicktime movies in mplayer... bxb32001 Linux - Software 14 09-26-2002 12:49 AM


All times are GMT -5. The time now is 06:30 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration